AMQ(8)

NAME
amq - automounter query tool

SYNOPSIS
amq [-fimpqsvwHTU] [-h hostname] [-l log_file] [-x log_options] [-D debug_options] [-P program_number] [[-u] directory ...]

DESCRIPTION
This command is obsolete. Users are advised to use autofs(5) instead.

The amq utility provides a simple way of determining the current state of the amd(8) program. Communication is by RPC. Three modes of operation are supported by the current protocol. By default a list of mount points and auto-mounted file systems is output. An alternative host can be specified using the -h option.

If directory names are given, as output by default, then per file system information is displayed.

OPTIONS

-f  Ask the automounter to flush the internal caches and reload all the maps.

-h hostname
    Specify an alternate host to query. By default the local host is used. In an HP-UX cluster, the root server is queried by default, since that is the system on which the automounter is normally run.

-i  Print information about the mount maps.

-l log_file
    Tell amd(8) to use log_file as the log file name. For security reasons, this must be the same log file which amd(8) used when started. This option is therefore only useful to refresh amd's open file handle on the log file, so that it can be rotated and compressed via daily cron jobs.

-m  Ask the automounter to provide a list of mounted file systems, including the number of references to each file system and any error which occurred while mounting.

-p  Return the process ID of the remote or locally running amd(8). Useful when you need to send a signal to the local amd(8) process, and would rather not have to search through the process table. This option is used in the ctl-amd script.

-q  Suppress error messages produced when attempting synchronous unmounts with the option.

-s  Ask the automounter to provide system-wide mount statistics.

-u  Ask the automounter to unmount the file systems named in directory instead of providing information about them. Unmounts are requested, not forced. They merely cause the mounted file system to timeout, which will be picked up by amd's main scheduler thus causing the normal timeout action to be taken. If the option is repeated, will attempt to unmount the file system synchronously by waiting until the timeout action is taken and returning an error if the unmount fails. Any error messages produced may be suppressed with the option.

-v  Ask the automounter for its version information. This is a subset of the information output by amd(8)'s -v option.

-w  Translate a full pathname as returned by getcwd(3) into a short amd(8) pathname that goes through its mount points. This option requires that amd(8) is running.

-x log_options
    Ask the automounter to use the logging options specified in log_options from now on. Note that the "fatal" and "error" options cannot be turned off.

-D debug_options
    Ask the automounter to use the debugging options specified in debug_options from now on.

-H  Display short usage message.

-P program_number
    Contact an alternate running amd(8) that had registered itself on a different RPC program_number and apply all other operations to that instance of the automounter. This is useful when you run multiple copies of amd(8), and need to manage each one separately. If not specified, amq will use the default program number for amd(8), 300019. For security reasons, the only alternate program numbers amd(8) can use range from 300019 to 300029, inclusive.

-T  Contact amd(8) using the TCP transport only. Normally amq will try TCP, and if that failed, will try UDP.

-U  Contact amd(8) using UDP (connectionless) transport only. Normally amq will try TCP, and if that failed, will try UDP.

FILES
amq.x
    RPC protocol description.

CAVEATS
The amq utility uses a Sun registered RPC program number (300019 decimal) which may not be in the rpc(5) database.

If the TCP wrappers library is available, and the use_tcpwrappers global amd.conf(5) option is set to “yes”, then amd(8) will verify that the host running amq is authorized to connect. The “amd” service name must be used in the /etc/hosts.allow and /etc/hosts.deny files. For example, to allow only localhost to connect to amd(8), add this line to /etc/hosts.allow:

    amd: localhost

and this line to /etc/hosts.deny:

    amd: ALL

SEE ALSO
amd.conf(5), hosts_access(5). amd(8),

“am-utils” info(1) entry. Erez Zadok, Linux NFS and Automounter Administration, ISBN 0-7821-2739-8, Sybex, 2001.

http://www.am-utils.org/ Amd - The 4.4 BSD Automounter.

HISTORY
The amq utility first appeared in 4.4BSD.

AUTHORS
Jan-Simon Pendry <jsp@doc.ic.ac.uk>, Department of Computing, Imperial College, London, UK.

Erez Zadok <ezk@cs.sunysb.edu>, Computer Science Department, Stony Brook University, Stony Brook, New York, USA.

Other authors and contributors to am-utils are listed in the AUTHORS file distributed with am-utils.